Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007466 [DCSS] Bug Report text always 2013-08-15 04:03 2013-08-18 18:02
Reporter BlackSheep View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007466: Pressing 'g' while targeting yields erroneous message
Description Cast a targeted spell, while targeting, select a square with no items in it, press 'g'.

You'll get the message: You can't see any item there.

Doing the same on a square containing items yields no message.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023735)
neil (administrator)
2013-08-15 04:16
edited on: 2013-08-15 04:17

It actually does something when you select an item with g (marks it as "thrown" so it will be picked up when you move over it or explore). Probably that functionality should be removed from non-x targetting prompts, though.

(0023741)
BlackSheep (reporter)
2013-08-15 17:14

The more you know!
(0023759)
KiloByte (manager)
2013-08-15 22:16

I made it give feedback ("Marked for pickup.") to make it less modal; neil's way might be better though.
(0023770)
neil (administrator)
2013-08-16 21:57

I think kilobyte's fix (0.13-a0-2711-g28b7e52) is sufficient. Closing.

- Issue History
Date Modified Username Field Change
2013-08-15 04:03 BlackSheep New Issue
2013-08-15 04:16 neil Note Added: 0023735
2013-08-15 04:17 neil Note Edited: 0023735
2013-08-15 17:14 BlackSheep Note Added: 0023741
2013-08-15 22:16 KiloByte Note Added: 0023759
2013-08-16 21:57 neil Note Added: 0023770
2013-08-16 21:57 neil Status new => resolved
2013-08-16 21:57 neil Fixed in Branch => 0.13 development branch
2013-08-16 21:57 neil Resolution open => done
2013-08-16 21:57 neil Assigned To => neil
2013-08-18 18:02 BlackSheep Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker